require "behaviours/bh_runaway"
require "behaviours/bh_chaseandattack"

local br_bishop = Class(Brain, function(self, inst)
    Brain._ctor(self, inst)
end)


function br_bishop:OnStart()
    local root = PriorityNode(
    {	
		----够不着玩家 并且自己不是虚体 就打墙
		WhileNode( function() 
			return not zg_canattacktarget(self.inst) and not self.inst.isshadow_phys end, 
			"AttackWall1",
			AttackWall(self.inst)),
			
		--对付玩家的追杀		
        WhileNode( function() 
			return not self.inst.components.combat:InCooldown()	end, 			
			"AttackMomentarily",
			Bh_ChaseAndAttack(self.inst, self.inst.zg_chase_time) ), 
		
		--走位
		WhileNode( function() 
			return self.inst.components.combat.target and self.inst.components.combat:InCooldown() end,
			"Dodge", Bh_RunAway(self.inst, function() 
				return self.inst.components.combat.target end,
			self.inst.zg_see_dist,self.inst.zg_stoprunaway_dist)),
			
		--[[
		--跟随敌人
		WhileNode( function() 
			return self.inst.components.combat:InCooldown()	end, 			
			"Follow1",
			Follow(self.inst, function() return self.inst.components.follower and self.inst.components.follower.leader end, 4, 5, 6) ),]]
		
		--[[
		WhileNode( function() 
			return self.inst.components.combat:InCooldown()	end, 			
			"AttackMomentarily",
			Bh_ChaseAndAttack(self.inst, self.inst.zg_chase_time) ),]]
		
			
		--跟随
		Follow(self.inst, function() return self.inst.components.follower and self.inst.components.follower.leader end, 2, 4, 6),
	
		AttackWall(self.inst),
		
		----徘徊
        Wander(self.inst),
		
    }, self.inst.zg_ai_period)
    
    self.bt = BT(self.inst, root)

end

return br_bishop