require "behaviours/bh_runaway"
require "behaviours/bh_chaseandattack"

local br_ghost = Class(Brain, function(self, inst)
    Brain._ctor(self, inst)
end)

function br_ghost:OnStart()
    local root = PriorityNode(
    {	
		--对付玩家的追杀		
		Bh_ChaseAndAttack(self.inst, self.inst.zg_chase_time) , 
		
		--跟随
		Follow(self.inst, function() return self.inst.components.follower and self.inst.components.follower.leader end, 2, 4, 6),
		
		----徘徊
        Wander(self.inst),
		
    }, self.inst.zg_ai_period)
    
    self.bt = BT(self.inst, root)

end

return br_ghost