--[[
function c(name,num)
	c_give(name,num)
end

function cc()
	c("lovers_2048")
end]]
--------------------------------------------------
local function fn()
	local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()
    inst.AnimState:SetBank("lantern")
    inst.AnimState:SetBuild("lantern")
    inst.AnimState:PlayAnimation("idle_off")
    inst.entity:SetPristine()
    if not TheWorld.ismastersim then
        return inst
    end
	inst:AddComponent("lovers_2048_cmp")	--2048游戏组件
    inst:AddComponent("inspectable")
	inst:AddComponent("lootdropper")
	inst.components.lootdropper:SetLoot({})
	inst:AddComponent("activatable")
	inst.components.activatable.quickaction=true
	inst.components.activatable.OnActivate=function(inst,doer)
		inst.components.lovers_2048_cmp:Restart()
		inst.SoundEmitter:PlaySound("dontstarve/wilson/lantern_on")
	end
	function inst.components.activatable:DoActivate(doer)
		if self.OnActivate ~= nil then
			self.inactive = true
			self.OnActivate(self.inst, doer)
		end
	end
	inst:DoTaskInTime(0,function()
		inst.components.lovers_2048_cmp:SpawnCards()
	end)
	return inst
end

local function fn_dir()
	local inst = CreateEntity()
    inst.entity:AddTransform()
	inst.Transform:SetScale(.75,.75,.75)
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()
    inst.AnimState:SetBank("lantern")
    inst.AnimState:SetBuild("lantern")
    inst.AnimState:PlayAnimation("idle_off")
    inst.entity:SetPristine()
    if not TheWorld.ismastersim then
        return inst
    end
	inst.persists=false
	inst:AddComponent("lovers_2048_cmp")	--2048游戏组件
    inst:AddComponent("inspectable")
	inst:AddComponent("activatable")
	inst.components.activatable.quickaction=true
	inst.components.activatable.OnActivate=function(inst,doer)
		inst.components.lovers_2048_cmp:ApplyDir()
		inst.SoundEmitter:PlaySound("dontstarve/wilson/lantern_on")
	end
	function inst.components.activatable:DoActivate(doer)
		if self.OnActivate ~= nil then
			self.inactive = true
			self.OnActivate(self.inst, doer)
		end
	end
	return inst
end

local function fn_card()
	local inst = CreateEntity()
    inst.entity:AddTransform() 
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()
	
	local label = inst.entity:AddLabel()
	label:SetFont(NUMBERFONT)
	label:SetFontSize(40)
	label:SetWorldOffset(0, 0, 0)
	label:SetColour(1, 0, 0)
	label:SetText(0)
	label:Enable(true)
	
    inst.entity:SetPristine()
    if not TheWorld.ismastersim then
        return inst
    end
	inst.persists=false
	inst:AddComponent("lovers_2048_cmp")	--2048游戏组件
    inst:AddComponent("inspectable")
	return inst
end

STRINGS.NAMES.LOVERS_2048 = "2048游戏 重启/启动 按钮"
STRINGS.NAMES.LOVERS_2048_DIR = "方向操纵杆"
return Prefab("lovers_2048",fn),
	Prefab("lovers_2048_dir",fn_dir),
	Prefab("lovers_2048_card",fn_card)
	








