local assets={}
wy_asset(assets,"anim","q5batline")

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)
    RemovePhysicsColliders(inst)

    inst.AnimState:SetBank("q5batline")
    inst.AnimState:SetBuild("q5batline")
	inst.AnimState:SetOrientation(ANIM_ORIENTATION.OnGround)
    inst.AnimState:SetLayer(LAYER_BACKGROUND)
    inst.AnimState:SetSortOrder(3)
    --inst.AnimState:PlayAnimation("idle",true)
	inst.AnimState:SetBloomEffectHandle("shaders/anim_bloom_ghost.ksh")
	
	inst.entity:AddLight()
	inst.Light:Enable(true)
	inst.Light:SetIntensity(.75)
	inst.Light:SetColour(0, 1, 1)
	inst.Light:SetFalloff(0.5)
	inst.Light:SetRadius(2)

    inst:AddTag("NOCLICK")
	inst:AddTag("FX")

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst.persists = false
	
	inst:AddComponent("stretcher")
    inst.components.stretcher:SetRestingLength( 3 or 4.35)
	--inst.components.stretcher:SetRestingLength(2)
    inst.components.stretcher:SetWidthRatio(0)

    return inst
end

return Prefab("q5batlinearm", fn, assets)