local assets =
{
    Asset("ANIM", "anim/zg_fx_dizzy.zip"),
}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddNetwork()
	
	inst.entity:AddTransform()
    inst.entity:AddAnimState()
	
	inst.AnimState:SetBank("zg_fx_dizzy")
    inst.AnimState:SetBuild("zg_fx_dizzy")
	
    inst.AnimState:PlayAnimation("idle_1",true)	--.5
	inst.AnimState:SetOrientation(ANIM_ORIENTATION.OnGround)

    --Delay one frame so that we are positioned properly before starting the effect
    --or in case we are about to be removed
    --inst:DoTaskInTime(0, PlayBrokenAnim)

    if not TheWorld.ismastersim then
        return inst
    end

    inst.persists = false
    inst:DoTaskInTime(2, inst.Remove)

    return inst
end

return Prefab("zg_fx_dizzy", fn, assets)
