local function CreateDamageIndicator(inst)
	
end


local function fn()
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddNetwork()
	
	inst:AddTag("NOCLICK")
	inst:AddTag("FX")
	
	inst.zg_hp_si = net_bool(inst.GUID, "zg_hp_si", "zg_hp_sidirty")
	--inst:ListenForEvent("zg_hp_sidirty", function(inst) 
	--	inst.sign = inst.zg_hp_si:value() and 1 or -1 
	--end)
	
	inst.zg_hp_dt = net_float(inst.GUID, "zg_hp_dt", "zg_hp_dtdirty")
	inst:ListenForEvent("zg_hp_dtdirty", function(inst)
		local amount = (inst.zg_hp_si:value() and 1 or -1) * (inst.zg_hp_dt:value() or 0)
		if amount < .1 and amount > -.1 then return end

		local label = inst.entity:AddLabel()
		label:SetFont(NUMBERFONT)
		label:SetFontSize(40)
		label:SetWorldOffset(0, 0, 0)

		local color = amount < 0 and 
			{	
				r = 1,
				g = 0,
				b = 0
			} or
			{	
				r = 0,
				g = 1,
				b = 0
			}

		label:SetColour(color.r, color.g, color.b)
		
		local str = ""
		
		if amount < 1 and amount > -1 then
			--label:SetText(string.format("%.1f", amount))
			str = string.format("%.1f", amount)
		else
			--label:SetText(string.format("%d", amount))
			str = string.format("%d", amount)
		end	
		
		str = amount > 0 and "+"..str or str
		
		label:SetText(str)

		label:Enable(true)

		inst:StartThread(function()		--sleepǺܺõӳٺ
			--local label = inst.Label
			local dt = 1/30		--۾ÿ30֡
			local y = 1
			local t = 0
			local x = math.random() * .75
			local z = math.random() * .75
			while (t < .75) do
				y = y + dt * 1.5
				label:SetWorldOffset(x, y, z)
				t = t + dt
				Sleep(dt)
			end
			if TheWorld.ismastersim then
				inst:Remove()
			end
		end)
		
	end)
	
	inst.entity:SetPristine()

	if not TheWorld.ismastersim then
		return inst
	end	

	inst.persists = false

	return inst
end

return Prefab("zg_fx_dmgid", fn)