local assets=
{
	Asset("ANIM", "anim/zg_gunfire.zip"),
}

local function fn()
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddNetwork()
	local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(5)
    inst.Light:SetFalloff(0.3)
    inst.Light:SetIntensity(0.9)
    inst.Light:SetColour(197/255,197/255,50/255)

    --MakeInventoryPhysics(inst)
    --RemovePhysicsColliders(inst)
	
    inst.AnimState:SetBank("zg_gunfire")
    inst.AnimState:SetBuild("zg_gunfire")

    inst.AnimState:PlayAnimation("idle", true)
	
	inst:DoTaskInTime(.125, function()
		inst:Remove()
	end)
    	
	return inst
end

return Prefab( "zg_fx_gunfire", fn, assets)