local assets = 
{
	Asset("ANIM", "anim/zg_fx_paracute.zip"),
	Asset( "ANIM", "anim/zg_USA_bubing.zip" ),
}

local function fn()
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	--inst.Transform:SetScale(.3,.3,.3)
	
	inst.entity:AddAnimState()
	inst.AnimState:SetBank("zg_fx_paracute")
	inst.AnimState:SetBuild("zg_fx_paracute")
	inst.AnimState:PlayAnimation("idle")
	
	inst.entity:AddNetwork()
	
	inst.entity:SetPristine()
	
	inst.persists = false
	
	return inst
end
-----------------------------------------------------------------------------------------------------------
local function fnman()
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	inst.Transform:SetFourFaced()
	
	inst.entity:AddAnimState()
	inst.AnimState:SetBank("wilson")
	inst.AnimState:SetBuild("zg_USA_bubing")
	
	inst.AnimState:PlayAnimation("idle")
	
	inst.AnimState:OverrideSymbol("swap_hat", "zg_it_usahat", "swap_hat")
	inst.AnimState:Show("HAT")
	inst.AnimState:Show("HAT_HAIR")
	inst.AnimState:Hide("HAIR_NOHAT")
	inst.AnimState:Hide("HAIR")
	
	inst.AnimState:Hide("ARM_carry")
	
	--MakeCharacterPhysics(inst, 100, .5)
    
	inst.entity:AddSoundEmitter()
	
	--local shadow = inst.entity:AddDynamicShadow()
	--shadow:SetSize( 2, 1 )
	
	inst.entity:AddNetwork()
	
	inst.entity:SetPristine()
	
	if not TheWorld.ismastersim then
        return inst
    end 
	
	--inst.Transform:SetRotation( 2 * PI /math.random(4) )
	
	----定义降落伞
	inst.zg_paracute = SpawnPrefab( "zg_fx_paracute" )
	--inst.zg_paracute.entity:SetParent(inst.entity)
	
	--local angle = -inst.Transform:GetRotation()
	--inst.zg_paracute.Transform:SetPosition(-math.cos(angle)*.01, .8, -math.sin(angle)*.01)
	
	local follower = inst.zg_paracute.entity:AddFollower()
	follower:FollowSymbol( inst.GUID, "swap_hat", 0, 25, 0 )
	
	----开始下落
	--inst.Physics:SetVel(0, -2, 0)
	
	----到地面就消失, 产生童子军
	inst:DoPeriodicTask(1 * FRAMES, function()
		if inst then
			local x, y, z = inst.Transform:GetWorldPosition()
			y = y - .02
			inst.Transform:SetPosition(x, y, z)
			if y <= .02 then
				local ran=math.random()
				if ran < .7 then
					SpawnPrefab("zg_ch0_soldier").Transform:SetPosition(x, 0, z)
				elseif ran < .9 then
					SpawnPrefab("zg_ch0_engineer").Transform:SetPosition(x, 0, z)
				else
					SpawnPrefab("zg_ch0_soldier0").Transform:SetPosition(x, 0, z)
				end
				
				----移除物品
				if inst.zg_paracute ~= nil then
					inst.zg_paracute:Remove()
					inst.zg_paracute = nil
				end
				inst:Remove()
			end
		end
	end)

	return inst
end
-----------------------------------------------------------------------------------------------------------
return Prefab("zg_fx_paracute", fn, assets),
	Prefab("zg_fx_paracuteman", fnman, assets)
