local assets =
{
	
}

local function OnHit(inst, attacker, target) 
    local spider=SpawnPrefab("zg_mo_holespider")
	spider.Transform:SetPosition(inst.Transform:GetWorldPosition())
	spider.components.lootdropper:SetLoot({})
	spider.persists=false	--ַʽɵ֩벻ᱻ
	spider:DoTaskInTime(15,function() spider.components.health:Kill() end)
    inst:Remove()
end

local function fn()
	local inst = CreateEntity()

    inst.entity:AddTransform()
	inst.Transform:SetScale(1,1,1)
	
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()

	inst.entity:AddPhysics()
	inst.Physics:SetMass(1)
	inst.Physics:SetCapsule(0.2, 0.2)
	inst.Physics:SetFriction(0)
	inst.Physics:SetDamping(0)
	inst.Physics:SetCollisionGroup(COLLISION.CHARACTERS)
	inst.Physics:ClearCollisionMask()
	inst.Physics:CollidesWith(COLLISION.WORLD)

    inst.AnimState:SetBank("spider_spitter")
    inst.AnimState:SetBuild("DS_spider2_caves")
    inst.AnimState:PlayAnimation("idle")
	inst.AnimState:SetMultColour(0,1,0,1)

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end
	
	inst.persists = false

    inst:AddComponent("locomotor")

    inst:AddComponent("complexprojectile")
    inst.components.complexprojectile:SetHorizontalSpeed(15)
    inst.components.complexprojectile:SetGravity(-25)
    inst.components.complexprojectile:SetLaunchOffset(Vector3(0, .5, 0))
    inst.components.complexprojectile:SetOnHit(OnHit)

    return inst
end

return Prefab("zg_fx_spider2", fn, assets)