local function MakeGroundCreep(raduis, thetime, tag)
	
	return function()	
		
		local inst = CreateEntity()

		inst.entity:AddTransform()
		inst.entity:AddAnimState()
		inst.entity:AddSoundEmitter()
		inst.entity:AddGroundCreepEntity()
		inst.entity:AddNetwork()

		inst.entity:SetPristine()
		
		inst:AddTag(tag)

		if not TheWorld.ismastersim then
			return inst
		end
		
		inst.GroundCreepEntity:SetRadius(raduis)
		
		inst:DoTaskInTime(thetime, function()
			if inst then 
				inst:Remove() 
			end
		end)
		
		return inst
	end
	
end

return Prefab("zg_groundcreep_small", MakeGroundCreep(9,9,"zg_groundcreep_small") ),
	Prefab("zg_groundcreep_large", MakeGroundCreep(18,18,"zg_groundcreep_large") )