local assets = 
{
	--Asset("ANIM", "anim/zg_it_shotgunbullet.zip"),
	--Asset("ATLAS", "images/zg_it_shotgunbullet.xml"),
	Asset("ANIM", "anim/zg_it_bulletmusket.zip"),
	Asset("ATLAS", "images/zg_it_bulletmusket.xml"),
}

local function fn()
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	--inst.Transform:SetScale(.2,.2,.2)
	
	inst.entity:AddAnimState()
	inst.AnimState:SetBank("zg_it_bulletmusket")
	inst.AnimState:SetBuild("zg_it_bulletmusket")
	inst.AnimState:PlayAnimation("idle")
	
	MakeInventoryPhysics(inst)
	
	inst.entity:AddNetwork()
	
	inst.entity:SetPristine()
	
	if not TheWorld.ismastersim then
		return inst
	end
	
	----用来填充弹药
	inst:AddComponent("tradable")
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/zg_it_bulletmusket.xml"
	inst.components.inventoryitem.imagename = "zg_it_bulletmusket"
	
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_LARGEITEM
	
	inst:AddComponent("inspectable")
	inst.components.inspectable:SetDescription("中正式步枪弹夹")
	
	return inst
end

STRINGS.NAMES.ZG_IT_SHOTGUNBULLET = "中正式步枪子弹(15发/盒)"
return Prefab("zg_it_shotgunbullet", fn, assets)
