local assets =
{
    Asset("ANIM", "anim/zg_reiki_liliang.zip"),
}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddNetwork()
	
	inst.entity:AddTransform()
    inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	
	inst.AnimState:SetBank("zg_reiki_liliang")
    inst.AnimState:SetBuild("zg_reiki_liliang")
	
    inst.AnimState:PlayAnimation("idle",true)	
	inst.AnimState:SetLayer(LAYER_BACKGROUND)
    inst.AnimState:SetSortOrder(1)
	inst.AnimState:SetOrientation(ANIM_ORIENTATION.OnGround)
	--inst.AnimState:SetAddColour(.2,0,0,0)
	
	inst.entity:AddLight()
	inst:AddTag("FX")

    inst.Light:SetFalloff(0.4)
    inst.Light:SetIntensity(.7)
    inst.Light:SetRadius(1.25)
    inst.Light:SetColour(255 / 255, 0 / 255, 0 / 255)

	inst.entity:SetPristine()
    if not TheWorld.ismastersim then
        return inst
    end
	
	--inst.SoundEmitter:PlaySound("zg_melee/reiki/liliang")

    inst.persists = false
    inst:DoPeriodicTask(.5, function()
		if inst.master then
			inst.master.components.combat.damagemultiplier=1.6
			
			local offset
			if inst._tick==nil or inst._tick>3 then
				inst._tick=1
			end
			if inst._tick==1 then
				offset={1,0,0}
				inst._tick=inst._tick+1
			elseif inst._tick==2 then
				offset={-.5,0,.866}
				inst._tick=inst._tick+1
			elseif inst._tick==3 then
				offset={-.5,0,-.866}
				inst._tick=inst._tick+1
			end
			
			local smoke=zg_spawn(inst,"zg_fx_smoke",offset,1,.4)
			smoke.AnimState:SetAddColour(.2,0,0,0)
		end
	end)

    return inst
end

return Prefab("zg_reiki_liliang", fn, assets)
