require("stategraphs/commonstates")
local easing = require("easing")

local actionhandlers=
{

}

local events=
{

}

local states=
{
	State{
		name = "idle",
		tags = {"idle"},
		onenter = function(inst)
			inst.AnimState:PlayAnimation("idle_loop", true)
		end,

	},

	--[[
	State{
		name = "open",
		tags = {"idle", "open"},
		onenter = function(inst)
			inst.AnimState:PlayAnimation("open_loop", true)
			-- since we can jump right to the open state, retrigger this sound.
			inst.SoundEmitter:PlaySound("dontstarve/common/teleportworm/idle", "wormhole_open")
		end,

		onexit = function(inst)
			inst.SoundEmitter:KillSound("wormhole_open")
		end,
		
	},]]

	State{
		name = "opening",
		tags = {"busy", "open"},
		onenter = function(inst)
			inst.AnimState:PlayAnimation("open_pre")
			--inst.SoundEmitter:PlaySound("dontstarve/common/teleportworm/open")
			inst.SoundEmitter:PlaySound("dontstarve/zg/ut_wormhole/open")
		end,

		events=
		{
			EventHandler("animover", function(inst)
				--inst.sg:GoToState("open")
				inst.sg:GoToState("closing")
			end),
		},
	},
		
	State{
		name = "closing",
		tags = {"busy"},
		onenter = function(inst)
			inst.AnimState:PlayAnimation("open_pst")
			--inst.SoundEmitter:PlaySound("dontstarve/common/teleportworm/close")
			inst.SoundEmitter:PlaySound("dontstarve/zg/ut_wormhole/close")
			----生成怪物在这里写
			inst:StartThread(function()
				for k = 1, inst.numspider do
					--local targetpos = Vector3( x + math.random()* 10 - 20, 0, z + math.random()* 10 - 20)
					--inst.LaunchProjectile(inst)
					local x, y, z = inst.Transform:GetWorldPosition()
					local targetpos = Vector3( x + math.random()* 5 - 10, 0, z + math.random()* 5 - 10)

					local projectile = SpawnPrefab("zg_fx_spider")
					projectile.Transform:SetPosition(x, y, z)

					local dx = targetpos.x - x
					local dz = targetpos.z - z
					local rangesq = dx * dx + dz * dz
					local maxrange = TUNING.FIRE_DETECTOR_RANGE
					local speed = easing.linear(rangesq, 15, 3, maxrange * maxrange)
					projectile.components.complexprojectile:SetHorizontalSpeed(speed)
					projectile.components.complexprojectile:SetGravity(-25)
					projectile.components.complexprojectile:Launch(targetpos, inst, inst)
					
					Sleep(.1)
				end
			end)
		end,

		events=
		{
			EventHandler("animover", function(inst)
				inst.sg:GoToState("idle")
			end),
		},
	},
}

return StateGraph("wormhole", states, events, "idle", actionhandlers)
