
local require = GLOBAL.require

--创建显示坐标和难度的widget, 作为控制widget的子widget
local function AddCoordinates(wdt)
	wdt.inst:DoTaskInTime(0, function()
	
		local Zg_CoordinatesWidget = require "widgets/zg_coordinates"
		wdt.coordinates = wdt.top_root:AddChild(Zg_CoordinatesWidget())
		wdt.coordinates2 = wdt.top_root:AddChild(Zg_CoordinatesWidget())
		--wdt.coordinates3 = wdt.top_root:AddChild(Zg_CoordinatesWidget())
		--wdt.coordinates4 = wdt.top_root:AddChild(Zg_CoordinatesWidget())

		local old_OnUpdate = wdt.OnUpdate
		wdt.OnUpdate = function(self, dt)
		
			old_OnUpdate(self, dt)
			
			----难度显示
			local difficultyinfo = "和平"
			local difficulty = TUNING.ZG_DIFFICULTY
			if difficulty == .2 then
				difficultyinfo = "和平"
			elseif difficulty == .25 then
				difficultyinfo = "练习"
			elseif difficulty == .5 then
				difficultyinfo = "战争"
			elseif difficulty == 1 then
				difficultyinfo = "地狱"
			else
				difficultyinfo = "未知"
			end
			local coordinatesString = "所选难度="..difficultyinfo
			wdt.coordinates.button:SetText(coordinatesString)
			wdt.coordinates:SetPosition(0,-15,0)
			
			----mod标题
			wdt.coordinates2.button:SetText("智能敌对2.12")
			wdt.coordinates2:SetPosition(-150,-15,0)
			
			--[[
			----死亡总人次
			local str3 = "共死人次="
			local numdie = GLOBAL.TheWorld.components.zg_total_death and GLOBAL.TheWorld.components.zg_total_death.numdeath or "未知"
			wdt.coordinates3.button:SetText(str3..numdie)
			wdt.coordinates3:SetPosition(0,-15,0)
			
			----玩家得分
			local score = 0
			local score1 = GLOBAL.ThePlayer.components.zg_stat_score and GLOBAL.ThePlayer.components.zg_stat_score.numscore or 0
			local score2 = GLOBAL.ThePlayer.components.age and GLOBAL.ThePlayer.components.age:GetAgeInDays() or 0
			score = score1 + score2
			wdt.coordinates4.button:SetText("您试练得分="..score)
			wdt.coordinates4:SetPosition(150,-15,0)]]
			
			--[[	会很卡, 不要时刻监测
			----当前人形数量
			local str4 = "人形兵器="
			local nummanboss = 0
			for k,v in pairs(GLOBAL.Ents) do
				if v:HasTag("zg_stat_manshape") then
					nummanboss = nummanboss + 1
				end
			end
			wdt.coordinates3.button:SetText(str4..nummanboss.."个")
			wdt.coordinates3:SetPosition(150,-15,0)]]
				
		end
	end)
end

AddClassPostConstruct("widgets/controls", AddCoordinates)
