

local SEE_PLAYER_DIST = 5
local SEE_FOOD_DIST = 10
local MAX_WANDER_DIST = 15
local MAX_CHASE_TIME = 20
local MAX_CHASE_DIST = 25
local RUN_AWAY_DIST = 6
local STOP_RUN_AWAY_DIST = 8


local Zg_ch0_sweeper = Class(Brain, function(self, inst)
    Brain._ctor(self, inst)
end)

---------------------------------------------------------------------------
local function CanHappy(inst)
	local target = inst.components.combat.target
	if target ~= nil then 
		return false
	end
	return true
end

local function DoHappyAction(inst)
	local act = BufferedAction(inst, inst, ACTIONS.SHAVE)			--用SHAVE来触发对应的状态，反正这个怪物没有刮胡子的行为
	act.validfn = function() 
		return true 
	end
	return act
end
---------------------------------------------------------------------------

function Zg_ch0_sweeper:OnStart()
    local root = PriorityNode(
    {	
	
		AttackWall(self.inst),

		ChaseAndAttack(self.inst, 5, 25),  

		----	跳舞
		WhileNode( function() return TheWorld.state.phase ~= "day" and CanHappy(self.inst) end, 
			"Happy", DoAction(self.inst, DoHappyAction, "Do Happy") ),
		
		----	徘徊
        Wander(self.inst, function() return self.inst.components.knownlocations:GetLocation("home") end, 8)
		
    }, .5)
    
    self.bt = BT(self.inst, root)

end

return Zg_ch0_sweeper