--require "behaviours/attackwall"

local Zg_mo_skelbrain = Class(Brain, function(self, inst)
    Brain._ctor(self, inst)
end)


---------------------------------------------------------------------------
----	ʳʱ
local function EatFoodAction(inst)
    local target = nil
    if inst.components.inventory and inst.components.eater then
        target = inst.components.inventory:FindItem(function(item) return inst.components.eater:CanEat(item) end)
    end
    if not target then
        target = FindEntity(inst, 30, function(item) return inst.components.eater:CanEat(item) end)
    end
    if target then
        local act = BufferedAction(inst, target, ACTIONS.EAT)
        act.validfn = function() return not (target.components.inventoryitem and target.components.inventoryitem.owner and target.components.inventoryitem.owner ~= inst) end
        return act
    end
end
---------------------------------------------------------------------------

function Zg_mo_skelbrain:OnStart()
    local root = PriorityNode(
    {	
		--IfNode(function() return self.inst.components.combat.target ~= nil end, "hastarget", AttackWall(self.inst)),
		AttackWall(self.inst),
	
		ChaseAndAttack(self.inst, 30, 30),      
		
		----	ʳ
        DoAction(self.inst, EatFoodAction, "Eat Food"),
		
		----	ǻ
        Wander(self.inst),
		
    }, 1)
    
    self.bt = BT(self.inst, root)

end

return Zg_mo_skelbrain