return Class(function(self, inst)
	
	inst.switchtoboss1 = false	--官方人形怪系列袭击
	inst.switchtoboss2 = false	--狼群袭击
	inst.switchtoboss3 = false	--骷髅袭击
	inst.switchtoboss4 = false	--海贼王系列袭击
	
	inst:DoPeriodicTask( 5, function(inst)
	
		----获取 给自己 预加 240秒后 的 完成天数, 让怪物 在 大致条件下 的黄昏 左右  不那么远的时间 出来
		local function GetPassedHalfDay()
			if inst.components.age then
				return math.floor(  (inst.components.age:GetAge() + 240) / 480 )
			else	
				return 0
			end
		end
		
		--------系列1列表---------------------------------------------------------------------------------------------------------------------------------
		local bosstable1 =
		{
			"zg_ch_wilson",
			"zg_ch_willow",
			"zg_ch_wolfgang",
			"zg_ch_wendy",
			"zg_ch_wx78",
			"zg_ch_wicker",
			"zg_ch_woodie",
			"zg_ch_wes",
			"zg_ch_waxwell",		
			"zg_ch_wigfrid",
			"zg_ch_webber",
		}
	
		----前开关
		if GetPassedHalfDay() % 8 == 6 then		
			inst.switchtoboss1 = true	
		end
	
		----刷怪时
		if GetPassedHalfDay() % 8 == 7 then
		
			if inst.switchtoboss1 == true then
				
				----预警之前就计算好 各种 东西-----------------------------------------------
				
				--获取玩家数量
				local nump = 0
				for k0, v0 in pairs(AllPlayers) do
					if v0 then
						nump = nump + 1
					end
				end
				
				--计算出怪出 几个人的量, 获取 "允许玩家" 数量
				local numb = 0
				if nump == 0 then
					numb = 0
				elseif nump == 1 then
					numb = 1
				elseif nump <= 8 then
					numb = math.floor(nump / 2)
				else 
					numb = 4
				end
				
				--"允许玩家" 上限为4, 在此生成允许玩家列表
				local _AllowPlayers = {}
				if numb > 0 then
					for k = 1, numb do
						table.insert(_AllowPlayers, AllPlayers[k])
					end
				end
				
				--如果自己属于 "允许玩家", 则计算 自己那份 人形怪打算来的数量
				if table.contains(_AllowPlayers, inst) then												----是对的!(OK)
				
					local num1 = 0
					if GetPassedHalfDay() < 30 then
						num1 = 1
					elseif GetPassedHalfDay() < 60 then
						if math.random() < .75 then
							num1 = 1
						else
							num1 = 2
						end
					elseif GetPassedHalfDay() < 90 then
						if math.random() < .5 then
							num1 = 1
						else
							num1 = 2
						end
					elseif GetPassedHalfDay() < 120 then
						if math.random() < .25 then
							num1 = 1
						else
							num1 = 2
						end
					elseif GetPassedHalfDay() < 150 then
						num1 = 2
					elseif GetPassedHalfDay() < 180 then
						if math.random() < .5 then
							num1 = 2
						else
							num1 = 3
						end
					else
						num1 = 3
					end
				
					if num1 > 0 then
						--预算出人形怪的预定位置
						local x, y, z = 0, 0, 0
						local x0, y0, z0 = inst.Transform:GetWorldPosition()
						local rad = math.random(15, 20)
						local angle = math.random() * 2 * PI
						x, y, z = x0 + rad * math.cos(angle), y0, z0 + rad * math.sin(angle)
						
						--开始执行
						if inst.components.talker then
							inst.components.talker:Say("人形怪来了!!!")
							TheNet:Announce("人形怪来了!!!")
						end
						for k = 1, num1 do														------刷怪机制可取
							SpawnPrefab("lightning")
							local theboss = SpawnPrefab(bosstable1[math.random(#bosstable1)])
							theboss.Transform:SetPosition(x, y, z)
							theboss.components.combat:SetTarget(inst)
						end
						
						--执行完就关闭开关, 等待下一个周期的到来
						inst.switchtoboss1 = false
					end
				end
			end
		end
		
		
		--------系列2列表---------------------------------------------------------------------------------------------------------------------------------
		local bosstable2 =
		{
			"zg_mo_wolf", "zg_mo_wolf",
			"zg_mo_snowwolf",
			"zg_mo_blackwolf",
		}
		
		----前开关
		if GetPassedHalfDay() % 8 == 5 then		
			inst.switchtoboss2 = true	
		end
	
		----刷怪时
		if GetPassedHalfDay() % 8 == 6 then
		
			if inst.switchtoboss2 == true then
				
				----预警之前就计算好 各种 东西-----------------------------------------------
				
				--获取玩家数量
				local nump = 0
				for k0, v0 in pairs(AllPlayers) do
					if v0 then
						nump = nump + 1
					end
				end
				
				--计算出怪出 几个人的量, 获取 "允许玩家" 数量
				local numb = 0
				if nump == 0 then
					numb = 0
				elseif nump == 1 then
					numb = 1
				elseif nump <= 8 then
					numb = math.floor(nump / 2)
				else 
					numb = 4
				end
				
				--"允许玩家" 上限为4, 在此生成允许玩家列表
				local _AllowPlayers = {}
				if numb > 0 then
					for k = 1, numb do
						table.insert(_AllowPlayers, AllPlayers[k])
					end
				end
				
				--如果自己属于 "允许玩家", 则计算 自己那份 怪打算来的数量
				if table.contains(_AllowPlayers, inst) then												----是对的!(OK)
				
					local num2 = 0
					if GetPassedHalfDay() < 20 then
						if math.random() < .5 then
							num2 = 2
						else
							num2 = 3
						end
					elseif GetPassedHalfDay() < 40 then
						if math.random() < .5 then
							num2 = 3
						else
							num2 = 4
						end
					elseif GetPassedHalfDay() < 60 then
						num2 = 4
					elseif GetPassedHalfDay() < 80 then
						if math.random() < .5 then
							num2 = 4
						else
							num2 = 5
						end
					elseif GetPassedHalfDay() < 100 then
						num2 = 5
					elseif GetPassedHalfDay() < 120 then
						if math.random() < .5 then
							num2 = 5
						else
							num2 = 6
						end
					else
						num2 = 7
					end
				
					if num2 > 0 then
						--预算出狼的预定位置
						local x, y, z = 0, 0, 0
						local x0, y0, z0 = inst.Transform:GetWorldPosition()
						local rad = math.random(15, 20)
						local angle = math.random() * 2 * PI
						x, y, z = x0 + rad * math.cos(angle), y0, z0 + rad * math.sin(angle)
						
						--开始执行
						if inst.components.talker then
							inst.components.talker:Say("狼来啦!!!")
						end
						for k = 1, num2 do														------刷怪机制可取
							SpawnPrefab("zg_fx_wolfwarning")
							if TheWorld.state.iswinter then
								SpawnPrefab("zg_mo_snowwolf").Transform:SetPosition(x, y, z)
							else
								SpawnPrefab(bosstable2[math.random(#bosstable2)]).Transform:SetPosition(x, y, z)
							end
						end
						
						--执行完就关闭开关, 等待下一个周期的到来
						inst.switchtoboss2 = false
					end
				end
			end
		end
		
		--------系列3列表---------------------------------------------------------------------------------------------------------------------------------
		local bosstable3_1 =
		{
			"zg_mo_skel", "zg_mo_skel", "zg_mo_skel", "zg_mo_skel", "zg_mo_skel",
			"zg_mo_skelarcher", "zg_mo_skelarcher",
			"zg_mo_skel0",
			"zg_mo_stygiandoll",
		}
		local bosstable3_2 =
		{
			"zg_mo_skel", "zg_mo_skel", "zg_mo_skel", "zg_mo_skel", "zg_mo_skel",
			"zg_mo_skelarcher", "zg_mo_skelarcher", "zg_mo_skelarcher",
			"zg_mo_skel0", "zg_mo_skel0",
			"zg_mo_skel1",
			"zg_mo_stygiandoll",
		}
		local bosstable3_3 =
		{
			"zg_mo_skel", "zg_mo_skel", "zg_mo_skel", "zg_mo_skel", "zg_mo_skel",
			"zg_mo_skelarcher", "zg_mo_skelarcher", "zg_mo_skelarcher", "zg_mo_skelarcher",
			"zg_mo_skel0", "zg_mo_skel0", "zg_mo_skel0",
			"zg_mo_skel1", "zg_mo_skel1",
			"zg_mo_skel2",
			"zg_mo_stygiandoll",
		}
		local bosstable3_4 =
		{
			"zg_mo_skel", "zg_mo_skel", "zg_mo_skel", "zg_mo_skel", "zg_mo_skel",
			"zg_mo_skelarcher", "zg_mo_skelarcher", "zg_mo_skelarcher", "zg_mo_skelarcher",
			"zg_mo_skel0", "zg_mo_skel0", "zg_mo_skel0", "zg_mo_skel0",
			"zg_mo_skel1", "zg_mo_skel1", "zg_mo_skel1",
			"zg_mo_skel2", "zg_mo_skel2",
			"zg_mo_skel3",
			"zg_mo_stygiandoll",
		}
		local bosstable3_5 =
		{
			"zg_mo_skel", "zg_mo_skel", "zg_mo_skel", "zg_mo_skel", "zg_mo_skel",
			"zg_mo_skelarcher", "zg_mo_skelarcher", "zg_mo_skelarcher", "zg_mo_skelarcher",
			"zg_mo_skel0", "zg_mo_skel0", "zg_mo_skel0", "zg_mo_skel0",
			"zg_mo_skel1", "zg_mo_skel1", "zg_mo_skel1", "zg_mo_skel1",
			"zg_mo_skel2", "zg_mo_skel2", "zg_mo_skel2",
			"zg_mo_skel3", "zg_mo_skel3",
			"zg_mo_stygiandoll",
		}
		local bosstable3_6 =
		{
			"zg_mo_skel", 
			"zg_mo_skelarcher", 
			"zg_mo_skel0", 
			"zg_mo_skel1", 
			"zg_mo_skel2", 
			"zg_mo_skel3", 
			"zg_mo_stygiandoll",
		}
		local bosstable3_7 =
		{
			"zg_mo_skel", 
			"zg_mo_skelarcher", "zg_mo_skelarcher", 
			"zg_mo_skel0", "zg_mo_skel0", "zg_mo_skel0",
			"zg_mo_skel1", "zg_mo_skel1", "zg_mo_skel1", "zg_mo_skel1",
			"zg_mo_skel2", "zg_mo_skel2", "zg_mo_skel2", "zg_mo_skel2",
			"zg_mo_skel3", "zg_mo_skel3", "zg_mo_skel3", "zg_mo_skel3", 
			"zg_mo_stygiandoll", "zg_mo_stygiandoll", "zg_mo_stygiandoll", "zg_mo_stygiandoll",
		}
		local bosstable3_8 =
		{
			"zg_mo_skel", 
			"zg_mo_skelarcher", "zg_mo_skelarcher", 
			"zg_mo_skel0", 
			"zg_mo_skel1", 
			"zg_mo_skel2", "zg_mo_skel2", "zg_mo_skel2", "zg_mo_skel2",
			"zg_mo_skel3", "zg_mo_skel3", "zg_mo_skel3", "zg_mo_skel3", 
			"zg_mo_stygiandoll", "zg_mo_stygiandoll", "zg_mo_stygiandoll", "zg_mo_stygiandoll",
		}
		local bosstable3_9 =
		{
			"zg_mo_skel", 
			"zg_mo_skelarcher", "zg_mo_skelarcher", 
			"zg_mo_skel0", 
			"zg_mo_skel1", 
			"zg_mo_skel2", 
			"zg_mo_skel3", "zg_mo_skel3", "zg_mo_skel3", "zg_mo_skel3", "zg_mo_skel3", "zg_mo_skel3", "zg_mo_skel3", "zg_mo_skel3", 
			"zg_mo_stygiandoll", "zg_mo_stygiandoll", "zg_mo_stygiandoll", "zg_mo_stygiandoll", "zg_mo_stygiandoll", "zg_mo_stygiandoll", "zg_mo_stygiandoll", "zg_mo_stygiandoll",
		}
		
		
		----前开关
		if GetPassedHalfDay() % 7 == 5 then		
			inst.switchtoboss3 = true	
		end
	
		----刷怪时
		if GetPassedHalfDay() % 7 == 6 then
		
			if inst.switchtoboss3 == true then
				
				----预警之前就计算好 各种 东西-----------------------------------------------
				
				--获取玩家数量
				local nump = 0
				for k0, v0 in pairs(AllPlayers) do
					if v0 then
						nump = nump + 1
					end
				end
				
				--计算出怪出 几个人的量, 获取 "允许玩家" 数量
				local numb = 0
				if nump == 0 then
					numb = 0
				elseif nump == 1 then
					numb = 1
				elseif nump <= 8 then
					numb = math.floor(nump / 2)
				else 
					numb = 4
				end
				
				--"允许玩家" 上限为4, 在此生成允许玩家列表
				local _AllowPlayers = {}
				if numb > 0 then
					for k = 1, numb do
						table.insert(_AllowPlayers, AllPlayers[k])
					end
				end
				
				--如果自己属于 "允许玩家", 则计算 自己那份 人形怪打算来的数量
				if table.contains(_AllowPlayers, inst) then												----是对的!(OK)
				
					local num1 = 0
					if GetPassedHalfDay() < 20 then
						num1 = 0
					elseif GetPassedHalfDay() < 40 then
						if math.random() < .75 then
							num1 = 3
						else
							num1 = 4
						end
					elseif GetPassedHalfDay() < 60 then
						if math.random() < .5 then
							num1 = 3
						else
							num1 = 4
						end
					elseif GetPassedHalfDay() < 80 then
						if math.random() < .25 then
							num1 = 4
						else
							num1 = 5
						end
					elseif GetPassedHalfDay() < 100 then
						if math.random() < .75 then
							num1 = 5
						else
							num1 = 6
						end
					elseif GetPassedHalfDay() < 120 then
						if math.random() < .5 then
							num1 = 5
						else
							num1 = 6
						end
					elseif GetPassedHalfDay() < 140 then
						if math.random() < .25 then
							num1 = 6
						else
							num1 = 7
						end
					elseif GetPassedHalfDay() < 160 then
						if math.random() < .75 then
							num1 = 7
						else
							num1 = 8
						end	
					elseif GetPassedHalfDay() < 180 then
						if math.random() < .5 then
							num1 = 7
						else
							num1 = 8
						end	
					elseif GetPassedHalfDay() < 200 then
						if math.random() < .25 then
							num1 = 8
						else
							num1 = 9
						end	
					else
						num1 = 10	
					end
				
					if num1 > 0 then
						--预算出的预定位置
						local x, y, z = 0, 0, 0
						local x0, y0, z0 = inst.Transform:GetWorldPosition()
						local rad = math.random(20, 25)
						local angle = math.random() * 2 * PI
						x, y, z = x0 + rad * math.cos(angle), y0, z0 + rad * math.sin(angle)
						
						--开始执行
						if inst.components.talker then
							inst.components.talker:Say("骷髅兵!!!")
						end
						for k = 1, num1 do														------刷怪机制可取
							SpawnPrefab("lightning")
							
							----刷怪的东西和天数相关
							if GetPassedHalfDay() < 40 then
								SpawnPrefab(bosstable3_1[math.random(#bosstable3_1)]).Transform:SetPosition(x, y, z)
							elseif GetPassedHalfDay() < 80 then
								SpawnPrefab(bosstable3_2[math.random(#bosstable3_2)]).Transform:SetPosition(x, y, z)
							elseif GetPassedHalfDay() < 120 then
								SpawnPrefab(bosstable3_3[math.random(#bosstable3_3)]).Transform:SetPosition(x, y, z)
							elseif GetPassedHalfDay() < 160 then
								SpawnPrefab(bosstable3_4[math.random(#bosstable3_4)]).Transform:SetPosition(x, y, z)
							elseif GetPassedHalfDay() < 200 then
								SpawnPrefab(bosstable3_5[math.random(#bosstable3_5)]).Transform:SetPosition(x, y, z)
							elseif GetPassedHalfDay() < 240 then
								SpawnPrefab(bosstable3_6[math.random(#bosstable3_6)]).Transform:SetPosition(x, y, z)
							elseif GetPassedHalfDay() < 280 then
								SpawnPrefab(bosstable3_7[math.random(#bosstable3_7)]).Transform:SetPosition(x, y, z)
							elseif GetPassedHalfDay() < 320 then
								SpawnPrefab(bosstable3_8[math.random(#bosstable3_8)]).Transform:SetPosition(x, y, z)	
							else
								SpawnPrefab(bosstable3_9[math.random(#bosstable3_9)]).Transform:SetPosition(x, y, z)	
							end
						end
						
						--执行完就关闭开关, 等待下一个周期的到来
						inst.switchtoboss3 = false
					end
				end
			end
		end
		
		--------系列4列表---------------------------------------------------------------------------------------------------------------------------------
		
		--ONE PICE 系列
		local bosstable4 =
		{
			"zg_ch1_luffy",
			"zg_ch1_sanji",
			"zg_ch1_ace",
			"zg_ch1_zoro",
			"zg_ch1_law",
		}
	
		----前开关
		if GetPassedHalfDay() % 13 == 11 then		
			inst.switchtoboss4 = true	
		end
	
		----刷怪时
		if GetPassedHalfDay() % 13 == 12 then
		
			if inst.switchtoboss4 == true then
				
				----预警之前就计算好 各种 东西-----------------------------------------------
				
				--获取玩家数量
				local nump = 0
				for k0, v0 in pairs(AllPlayers) do
					if v0 then
						nump = nump + 1
					end
				end
				
				--计算出怪出 几个人的量, 获取 "允许玩家" 数量
				local numb = 0
				if nump == 0 then
					numb = 0
				elseif nump <= 3 then
					numb = 1
				elseif nump <= 6 then
					numb = 2
				else 
					numb = 3
				end
				
				--"允许玩家" 上限为4, 在此生成允许玩家列表
				local _AllowPlayers = {}
				if numb > 0 then
					for k = 1, numb do
						table.insert(_AllowPlayers, AllPlayers[k])
					end
				end
				
				--如果自己属于 "允许玩家", 则计算 自己那份 人形怪打算来的数量
				if table.contains(_AllowPlayers, inst) then												----是对的!(OK)
				
					local num1 = 0
					if GetPassedHalfDay() < 30 then
						num1 = 1
					elseif GetPassedHalfDay() < 60 then
						if math.random() < .75 then
							num1 = 1
						else
							num1 = 2
						end
					elseif GetPassedHalfDay() < 90 then
						if math.random() < .5 then
							num1 = 1
						else
							num1 = 2
						end
					elseif GetPassedHalfDay() < 120 then
						if math.random() < .25 then
							num1 = 1
						else
							num1 = 2
						end
					elseif GetPassedHalfDay() < 150 then
						num1 = 2
					elseif GetPassedHalfDay() < 180 then
						if math.random() < .5 then
							num1 = 2
						else
							num1 = 3
						end
					else
						if math.random() < .25 then
							num1 = 2
						else
							num1 = 3
						end
					end
				
					if num1 > 0 then
						--预算出人形怪的预定位置
						local x, y, z = 0, 0, 0
						local x0, y0, z0 = inst.Transform:GetWorldPosition()
						local rad = math.random(15, 20)
						local angle = math.random() * 2 * PI
						x, y, z = x0 + rad * math.cos(angle), y0, z0 + rad * math.sin(angle)
						
						--开始执行
						if inst.components.talker then
							inst.components.talker:Say("ONE PIECE!!!")
							TheNet:Announce("ONE PIECE!!!")
						end
						for k = 1, num1 do														------刷怪机制可取
							SpawnPrefab("lightning")
							local theboss = SpawnPrefab(bosstable4[math.random(#bosstable4)])
							theboss.Transform:SetPosition(x, y, z)
							theboss.components.combat:SetTarget(inst)
						end
						
						--执行完就关闭开关, 等待下一个周期的到来
						inst.switchtoboss4 = false
					end
				end
			end
		end
		

		
		---------------------------------------------------------------------------------------------------------------------------
	end)	
		
end)

























