return Class(function(self, inst)


	inst:DoPeriodicTask(1, function()
	
		
		
		----如果被挤出海面, 则回到陆地
		if not inst:IsOnValidGround() then
			local x, y, z = inst.Transform:GetWorldPosition()
			local ground = TheWorld
			local centers = {}
			for i, node in ipairs(ground.topology.nodes) do
				if ground.Map:IsPassableAtPoint(node.x, 0, node.y) then
					table.insert(centers, {x = node.x, z = node.y, zg_dstsq = (x-node.x)*(x-node.x)+(y-node.y)*(y-node.y) })
				end
			end
			----寻找最近的拓补节点中心上岸
			if #centers > 0 then
				----按照距离从小到大排序
				table.sort(centers, function(a,b) return a.zg_dstsq < b.zg_dstsq end)
				inst.Transform:SetPosition(centers[1].x, 0, centers[1].z)
				----上岸后身体早已湿透
				if inst.components.moisture then
					inst.components.moisture:DoDelta(100)
					----感慨自己湿身了
					if inst.components.talker then
						inst.components.talker:Say("尼玛, 湿身了!!!")
					end
				end
				----浸水效果
				SpawnPrefab("splash_ocean").Transform:SetPosition(inst.Transform:GetWorldPosition())
			end
		end
		
	end)
end)