local assets =
{
	Asset("ANIM", "anim/q4banshou.zip"),
	Asset("ATLAS", "images/q4banshou_i.xml"),
}

local function fn()
	local inst = CreateEntity()

	inst.entity:AddTransform()
	inst.Transform:SetScale(2,2,2)
	inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("q4banshou")
    inst.AnimState:SetBuild("q4banshou")
    inst.AnimState:PlayAnimation("idle")

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
	
	inst:AddComponent("tradable")

    inst:AddComponent("inspectable")
	inst.components.inspectable:SetDescription("老司机,修车吗?")
	
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/q4banshou_i.xml"
	inst.components.inventoryitem.imagename = "q4banshou_i"

    return inst
end
STRINGS.NAMES.Q4BANSHOU = "扳手(修理被占领的建筑)" 
return Prefab("q4banshou", fn, assets)