
local function make(def)
	return function()
		local inst = CreateEntity()
		inst.entity:AddTransform()
		inst.entity:AddNetwork()
		
		local label = inst.entity:AddLabel()
		label:SetFont(NUMBERFONT)
		label:SetFontSize(def.size or 40)
		label:SetWorldOffset(0, def.h or 0, 0)
		label:SetColour(0, 1, 0)
		label:SetText(def.str)
		label:Enable(true)
		
		inst:AddTag("NOCLICK")
		inst:AddTag("FX")
		
		inst.entity:SetPristine()

		if not TheWorld.ismastersim then
			return inst
		end	

		inst.persists = false
		
		return inst
	end
end

return Prefab("q5word_leader", make({str="头目",size=30,h=4}))