local function PlayWarningSound(proxy, radius)
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddSoundEmitter()
    inst.entity:SetParent(TheFocalPoint.entity)

    local theta = math.random() * 2 * PI

    inst.Transform:SetPosition(radius * math.cos(theta), 0, radius * math.sin(theta))
	
    --inst.SoundEmitter:PlaySound("dontstarve/zg/fx_axewarning/warn")
	if inst.zg_sound_to_play then
		inst.SoundEmitter:PlaySound("zg_appear_onepiece/zg_appear_onepiece/"..inst.zg_sound_to_play)
	end	

    inst:Remove()
end


local function fn()
	local inst = CreateEntity()

	inst.entity:AddNetwork()

	inst:AddTag("FX")

	--Dedicated server does not need to spawn the local fx
	if not TheNet:IsDedicated() then
		--Delay one frame in case we are about to be removed
		inst:DoTaskInTime(.25, PlayWarningSound, 30)
	end

	inst.entity:SetPristine()

	if not TheWorld.ismastersim then
		return inst
	end

	inst.entity:SetCanSleep(false)
	inst.persists = false

	inst:DoTaskInTime(10, inst.Remove)

	return inst
end

return Prefab( "zg_fx_appear_onepiece", fn )
	