local assets=
{
	Asset("ANIM", "anim/zg_fx_bullet.zip"),
}

local function oncollide(inst, other)
    if other ~= nil and other:IsValid() then
		----PVP子弹可以打玩家, 普通模式子弹忽略玩家, 因为定义的是玩家弹道
		if other.components.combat ~= nil and other ~= inst.zg_shooter and ( TheNet:GetPVPEnabled() or not other:HasTag("player") ) then
			
			other.components.combat:Zg_GetAttacked(inst.zg_shooter, inst.zg_damage or 0, nil, "zg_ele_bullet")
			
		elseif other ~= inst.zg_shooter then
			SpawnPrefab("sparks").Transform:SetPosition(other.Transform:GetWorldPosition())
		end
    end
	inst:Remove()
end

---------------------------------------------------------------------------------
local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddNetwork()
	--inst.Transform:SetFourFaced()
	inst.Transform:SetScale(.33,.33,.33)
	
    local phys = inst.entity:AddPhysics()
    --phys:SetSphere(.1)
	phys:SetCapsule(.5, 2)		----饥荒引擎本身的问题, 我只能粗略设定一个值
    phys:SetMass(1)
    --phys:SetFriction(.1)
	phys:SetFriction(0)
    phys:SetDamping(0)
    --phys:SetRestitution(.5)
	phys:SetRestitution(0)
    phys:SetCollisionGroup(COLLISION.CHARACTERS)
    phys:ClearCollisionMask()
	phys:CollidesWith(COLLISION.GROUND)
	phys:CollidesWith(COLLISION.FLYERS)
    phys:CollidesWith(COLLISION.OBSTACLES)
    phys:CollidesWith(COLLISION.SMALLOBSTACLES)
	phys:CollidesWith(COLLISION.CHARACTERS)
	phys:CollidesWith(COLLISION.GIANTS)
	
    anim:SetBank("sgshell")
    anim:SetBuild("sgshell")
	anim:PlayAnimation("idle", true)
	--anim:SetOrientation(ANIM_ORIENTATION.OnGround)
    
    inst:AddTag("projectile")
	
	inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end
	
	inst.zg_damage = 30

    inst.Physics:SetCollisionCallback(oncollide)
	
	inst.zg_shooter = nil

    inst.persists = false
	
	inst:DoTaskInTime(2, function()
		inst:Remove()
	end)
    
    return inst
end

-------------------------------------------------------------------------------------------

local function fn0()
	local inst = fn()
	
	if not TheWorld.ismastersim then
        return inst
    end
	
	inst.zg_damage = 15
	
	inst.Physics:SetCollisionCallback(oncollide)
	
	return inst
end

------------------------------------------------------------------------------------------------

local function fn_ak47()
	local inst = fn()
	
	if not TheWorld.ismastersim then
        return inst
    end
	
	inst.zg_damage = 25
	
	inst.Physics:SetCollisionCallback(oncollide)
	
	return inst
end

------------------------------------------------------------------------------------------------
STRINGS.NAMES.ZG_FX_BULLET = "反弹的子弹"
STRINGS.NAMES.ZG_FX_BULLET0 = "反弹的子弹"
STRINGS.NAMES.ZG_FX_BULLET_AK47 = "反弹的子弹"

return Prefab( "common/inventory/zg_fx_bullet", fn, assets),
	Prefab( "common/inventory/zg_fx_bullet0", fn0, assets),
	Prefab( "common/inventory/zg_fx_bullet_ak47", fn_ak47, assets)
	  
      
