local assets=
{
	Asset("ANIM", "anim/zg_fx_bullet.zip"),
}

local function OnHit(inst, attacker, target)
	if target and target.components.health then
		local fx = SpawnPrefab("sparks")
		fx.Transform:SetScale(4,4,4)
		fx.Transform:SetPosition(target.Transform:GetWorldPosition())
	end
	inst:Remove()
end
---------------------------------------------------------------------------------
local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddNetwork()
	inst.Transform:SetScale(.33,.33,.33)
	
    anim:SetBank("sgshell")
    anim:SetBuild("sgshell")
	anim:PlayAnimation("idle", true)
	
	MakeInventoryPhysics(inst)
    RemovePhysicsColliders(inst)
    
    inst:AddTag("projectile")
	
	inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end
	
	inst:AddComponent("projectile")
    inst.components.projectile:SetSpeed(60)
    inst.components.projectile:SetHoming(false)
    inst.components.projectile:SetHitDist(.5)
    inst.components.projectile:SetOnHitFn(OnHit)
	--inst.components.projectile:SetOnThrownFn(function(inst, data)
	--	inst.AnimState:SetOrientation(ANIM_ORIENTATION.OnGround)
	--end)
    inst.components.projectile:SetOnMissFn(inst.Remove)
	
	inst:DoTaskInTime(3, function()
		inst:Remove()
	end)
    
    return inst
end


return Prefab( "zg_fx_bullet_enemy", fn, assets)
	  
      
