local easing = require("easing")

local assets =
{  
	
}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()

    inst.AnimState:SetBank("teleporter_worm")
    inst.AnimState:SetBuild("teleporter_sickworm_build")
    inst.AnimState:PlayAnimation("idle_loop", true)
	
	--inst.AnimState:SetMultColour(0,1,0,1)

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end
	
    inst:AddComponent("inspectable")
	
    return inst
end

local function fnin()
	local inst=fn()
	if not TheWorld.ismastersim then
        return inst
    end
	inst.persists=false
	inst:SetStateGraph("sg_holeio")
	inst:DoTaskInTime(.1,function()
		inst.sg:GoToState("opening")
	end)
	inst:DoTaskInTime(4,inst.Remove)
	return inst
end

local function fnout()
	local inst=fn()
	if not TheWorld.ismastersim then
        return inst
    end
	inst.persists=false
	inst:SetStateGraph("sg_spiderhole")	--开启之后就关闭
	inst:DoTaskInTime(4,inst.Remove)
	return inst
end

STRINGS.NAMES[string.upper("zg_fx_holein")]=zg_ischs("恶心的虫洞","Lousy Wormhole")
STRINGS.CHARACTERS.GENERIC.DESCRIBE[string.upper("zg_fx_holein")]=zg_ischs("它通向某个空间","It leads to a space")

STRINGS.NAMES[string.upper("zg_fx_holeout")]=zg_ischs("恶心的虫洞","Lousy Wormhole")
STRINGS.CHARACTERS.GENERIC.DESCRIBE[string.upper("zg_fx_holeout")]=zg_ischs("它通向某个空间","It leads to a space")

return Prefab("zg_fx_holein", fnin, assets),
	Prefab("zg_fx_holeout", fnout, assets)
