local assets={
	Asset("ANIM", "anim/zg_wzs_forcefield.zip"),
}
local function fn()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()
    inst.AnimState:SetBank("forcefield")
    inst.AnimState:SetBuild("zg_wzs_forcefield")
    inst.AnimState:PlayAnimation("open")
    inst.AnimState:PushAnimation("idle_loop", true)
    inst.SoundEmitter:PlaySound("dontstarve/wilson/forcefield_LP", "loop")	
	inst:AddTag("NOCLICK")
	inst:AddTag("FX")
    inst.entity:SetPristine()
    if not TheWorld.ismastersim then
        return inst
    end
    inst.persists = false
    return inst
end
return Prefab("zg_fx_mihawkball", fn, assets)
