local function fn()
	local inst = CreateEntity()

	inst.entity:AddTransform()
	inst.entity:AddSoundEmitter()
	inst.entity:AddNetwork()

	MakeInventoryPhysics(inst)
	RemovePhysicsColliders(inst)
	
	inst:AddTag("FX")
	inst:AddTag("NOCLICK")

	inst.entity:SetPristine()
	if not TheWorld.ismastersim then
		return inst
	end
	
	inst.persists=false
	inst.tick=0
	----物理
	local period = 1/30
	inst.collide_task_table = {}
	inst:DoPeriodicTask(period, function()
		inst.tick=inst.tick+1
		if (inst.tick)%4 ==0 then
			wy_spawn(inst,"zg_fx_mihawksmoke",nil,nil,math.min(2,1+inst.tick/4*.125))
		end
		--[[
		local pt = inst:GetPosition()	
		local r = 4
		local ents = TheSim:FindEntities(pt.x, pt.y, pt.z, r, nil, {"FX", "NOCLICK", "DECOR", "INLIMBO", "shadow", "shadowboss"})
		for k,v in pairs(ents) do
			if v and v.components.health and not v.components.health:IsDead() and v.components.combat then
				if not table.contains(inst.collide_task_table, v.GUID) then
					v.components.combat:Zg_GetAttacked(inst, 600)
					table.insert(inst.collide_task_table, v.GUID)
				end
				
			end
		end]]
	end)
	
	inst:DoTaskInTime(4, function()
		if inst then 
			inst:Remove()
		end
	end)

    return inst
end

STRINGS.NAMES.ZG_FX_MIHAWKZJ = "世界第一の斩击"
return Prefab("zg_fx_mihawkzj", fn)

