local assets =
{
	Asset("ANIM", "anim/zg_fx_web.zip"),
}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()
	
	inst.AnimState:SetBank("zg_fx_web")
    inst.AnimState:SetBuild("zg_fx_web")
    inst.AnimState:PlayAnimation("idle")
	
	local s = 4
	local scale = s * 1.3
	inst.Transform:SetScale(scale,scale,scale)
	
	inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end
	
	inst._locomotor_mult = .1
	inst._locomotor_dist = s
	inst._locomotor_notags = 
	{
		"shadow", "shadowcreature", "ghost", "playerghost",
		"spider", "spiderwhisperer"
	}
	
	--[[
	inst:DoTaskInTime(.1, function()
		local x,y,z = inst.Transform:GetWorldPosition()
		local ents = TheSim:FindEntities(x, y, z, 1, {"player"}, {"FX", "NOCLICK", "DECOR", "INLIMBO", "playerghost"})
		for k,v in pairs(ents) do
			if v and v.components.locomotor then
				v.components.locomotor:SetExternalSpeedMultiplier(inst, "zg_fx_web", .1)
			end
		end
	end)]]
	
	inst:DoTaskInTime(18, function()
		if inst then 
			inst:Remove() 
		end
	end)
	
	return inst
end

return Prefab("zg_fx_web", fn, assets)