local assets = 
{
	Asset("ANIM", "anim/zg_it_ak47bullet.zip"),
	Asset("ATLAS", "images/zg_it_ak47bullet.xml"),
}

local function fn()
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	--inst.Transform:SetScale(.3,.3,.3)
	
	inst.entity:AddAnimState()
	inst.AnimState:SetBank("zg_it_ak47bullet")
	inst.AnimState:SetBuild("zg_it_ak47bullet")
	inst.AnimState:PlayAnimation("idle")
	
	MakeInventoryPhysics(inst)
	
	inst.entity:AddNetwork()
	
	inst.entity:SetPristine()
	
	if not TheWorld.ismastersim then
		return inst
	end
	
	----用来填充弹药
	inst:AddComponent("tradable")
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/zg_it_ak47bullet.xml"
	inst.components.inventoryitem.imagename = "zg_it_ak47bullet"
	
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_LARGEITEM
	
	inst:AddComponent("inspectable")
	inst.components.inspectable:SetDescription("AK/M4-Bullet Box!AK/M4 弹夹!")
	
	return inst
end

STRINGS.NAMES.ZG_IT_AK47BULLET = "AK47/M4通用子弹(30/box)"
return Prefab("zg_it_ak47bullet", fn, assets)
