local assets = 
{
	--Asset("ANIM", "anim/zg_it_minigunbullet.zip"),
	--Asset("ATLAS", "images/zg_it_minigunbullet.xml"),
	Asset("ANIM", "anim/zg_it_bulletmini.zip"),
	Asset("ATLAS", "images/zg_it_bulletmini.xml"),
}

local function fn()
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	--inst.Transform:SetScale(.2,.2,.2)
	
	inst.entity:AddAnimState()
	inst.AnimState:SetBank("zg_it_bulletmini")
	inst.AnimState:SetBuild("zg_it_bulletmini")
	inst.AnimState:PlayAnimation("idle")
	
	MakeInventoryPhysics(inst)
	
	inst.entity:AddNetwork()
	
	inst.entity:SetPristine()
	
	if not TheWorld.ismastersim then
		return inst
	end
	
	----用来填充弹药
	inst:AddComponent("tradable")
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/zg_it_bulletmini.xml"
	inst.components.inventoryitem.imagename = "zg_it_bulletmini"
	
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_LARGEITEM
	
	inst:AddComponent("inspectable")
	inst.components.inspectable:SetDescription("M3冲锋枪子弹")
	
	return inst
end

STRINGS.NAMES.ZG_IT_MINIGUNBULLET = "M3冲锋枪子弹(30发/盒)"
return Prefab("zg_it_minigunbullet", fn, assets)
