chestfunctions = require("scenarios/chestfunctions")
chest_openfunctions = require("scenarios/chest_openfunctions")

local function OnCreate(inst, scenariorunner)

	local items = 
	{
		{
			--护甲
			item = {"armorwood", "footballhat", "armorruins","ruinshat","armormarble","slurtlehat"},
			chance = 0.4,
			initfn = function(item) item.components.armor:SetCondition(math.random(item.components.armor.maxcondition * 0.33, item.components.armor.maxcondition * 0.8))end
		},
		{	--燃料
			item = "nightmarefuel",
			count = math.random(1, 3),
			chance = 0.4,
		},
		{	--宝石
			item = {"redgem", "bluegem", "purplegem"},
			count = math.random(1,2),
			chance = 0.3,
		},
		{	--宝石
			item = {"yellowgem", "orangegem", "greengem"},
			count = 1,
			chance = 0.14,
		},
		{
			--Weapon Items
			item = {"firestaff", "icestaff", "multitool_axe_pickaxe"},
			chance = 0.1,
			initfn = function(item) item.components.finiteuses:SetUses(math.random(item.components.finiteuses.total * 0.3, item.components.finiteuses.total * 0.5)) end
		},
	}

	chestfunctions.AddChestItems(inst, items)
end

local function OnLoad(inst, scenariorunner) 
   	--chestfunctions.InitializeChestTrap(inst, scenariorunner, GetRandomItem(chest_openfunctions))
end

local function OnDestroy(inst)
    chestfunctions.OnDestroy(inst)
end


return
{
    OnCreate = OnCreate,
    OnLoad = OnLoad,
    OnDestroy = OnDestroy
}
