chestfunctions = require("scenarios/chestfunctions")


local function OnCreate(inst, scenariorunner)

	local items = 
	{

		{
			--Body Items
			item = "armorwood",
			count = 1,
			initfn = function(item) item.components.armor:SetCondition(math.random(item.components.armor.maxcondition * 0.33, item.components.armor.maxcondition * 0.8))end
		},
		{
			--Body Items
			item = "footballhat",
			count = 1,
			initfn = function(item) item.components.armor:SetCondition(math.random(item.components.armor.maxcondition * 0.33, item.components.armor.maxcondition * 0.8))end
		},
		{
			--Weapon Items
			item = "zg_weapon_shotgun",
			count = 1,
			initfn = function(item) item.components.finiteuses:SetUses(math.random(item.components.finiteuses.total * 0.025, item.components.finiteuses.total * 0.05)) end
		},
		{
			--Weapon Items
			item = "zg_weapon_ak47",
			count = 1,
			initfn = function(item) item.components.finiteuses:SetUses(math.random(item.components.finiteuses.total * 0.025, item.components.finiteuses.total * 0.05)) end
		},
		
		{
			--Weapon Items
			item = "zg_shield_wood",
			count = 1,
		},
		
		{
			--Weapon Items
			item = "hambat",
			count = 1,
		},
		
		{
			--Weapon Items
			item = "z_redbow",
			count = 1,
		},
		
		{
			--Weapon Items
			item = "zg_steelsilk",
			count = 1,
		},
	}

	chestfunctions.AddChestItems(inst, items)
end

return 
{
	OnCreate = OnCreate
}
