local _G = GLOBAL
local require = _G.require
local TUNING = _G.TUNING

--
local function zg_were_fn(inst)
	----
	local zg_big_num = inst.components.zg_mobbig and inst.components.zg_mobbig.t_size or 1
	local zg_atk_mult = 1 + (zg_big_num - 1) * 3
	local zg_health_mult = 1 + (zg_big_num - 1) * 3
	
	----
    inst.components.combat:SetDefaultDamage(TUNING.WEREPIG_DAMAGE * zg_atk_mult)
	----Ѫ
    inst.components.health:SetMaxHealth(TUNING.WEREPIG_HEALTH * zg_health_mult)
	
end

--ͨ˻ָԭò
local function zg_normal_fn(inst)
	----
	local zg_big_num = inst.components.zg_mobbig and inst.components.zg_mobbig.t_size or 1
	local zg_atk_mult = 1 + (zg_big_num - 1) * 3
	local zg_health_mult = 1 + (zg_big_num - 1) * 3
	
	----
    inst.components.combat:SetDefaultDamage(TUNING.PIG_DAMAGE * zg_atk_mult)
	----Ѫ
    inst.components.health:SetMaxHealth(TUNING.PIG_HEALTH * zg_health_mult)
	
end

--˻ָԭò
local function zg_guard_fn(inst)
	----
	local zg_big_num = inst.components.zg_mobbig and inst.components.zg_mobbig.t_size or 1
	local zg_atk_mult = 1 + (zg_big_num - 1) * 3
	local zg_health_mult = 1 + (zg_big_num - 1) * 3
	
	----
    inst.components.combat:SetDefaultDamage(TUNING.PIG_GUARD_DAMAGE * zg_atk_mult)
	----Ѫ
    inst.components.health:SetMaxHealth(TUNING.PIG_GUARD_HEALTH * zg_health_mult)
	
end

----ͨ
local function pigmanfn(inst)
	if inst and GLOBAL.TheWorld.ismastersim then
		
		----֮Ҳ
		inst:ListenForEvent("transformwere", zg_were_fn)
		
		----ָָȷ
		inst:ListenForEvent("transformnormal", zg_normal_fn)
		
	end
end
AddPrefabPostInit("pigman", pigmanfn)

----
local function pigguardfn(inst)
	if inst and GLOBAL.TheWorld.ismastersim then
	
		----֮Ҳ
		inst:ListenForEvent("transformwere", zg_were_fn)
		
		----ָָȷ
		inst:ListenForEvent("transformnormal", zg_guard_fn)
		
	end
end
AddPrefabPostInit("pigguard", pigguardfn)